#!/usr/bin/env python

from mountaintools import client as mt
import os

collection = 'spikeforest'
download_from = 'spikeforest.public'

def main():
    subkeys = mt.getSubKeys(key='reactopya-snapshots', collection=collection)
    for subkey in subkeys:
        path = 'key://pairio/{}/reactopya-snapshots:{}'.format(collection, subkey)
        sha1 = mt.computeFileSha1(path=path)
        if os.path.exists(subkey):
            sha1b = mt.computeFileSha1(subkey)
            if sha1b != sha1:
                print('Removing file: {}'.format(subkey))
                os.remove(subkey)
        if not os.path.exists(subkey):
            print('Downloading file: {}'.format(subkey))
            if not mt.realizeFile(path=path, dest_path=subkey, download_from=download_from):
                print('Unable to download file: {}'.format(path))

if __name__ == '__main__':
    main()